Bug 119934 - policy problems trying to run seuser
policy problems trying to run seuser
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
triage|leonardjo|closed|rawhide
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-03 13:19 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 13:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-03 13:19:40 EST
Description of problem:

As root, I am trying to run "seuser -X" and get lots of TCL errors. 
However, these disappear when "setenforce 0" so it must be the policies.

Here are entries from /var/log/messages

Apr  3 13:19:28 hummer kernel: audit(1081016368.933:0): avc:  denied 
{ read } for  pid=3317 exe=/usr/bin/seuserx name=iso8859-1.enc
dev=hda10 ino=702146 scontext=root:sysadm_r:seuser_t
tcontext=system_u:object_r:usr_t tclass=file

Apr  3 13:19:28 hummer kernel: audit(1081016368.934:0): avc:  denied 
{ getattr } for  pid=3317 exe=/usr/bin/seuserx
path=/usr/share/tcl8.4/init.tcl dev=hda10 ino=702188
scontext=root:sysadm_r:seuser_t tcontext=system_u:object_r:usr_t
tclass=file

Apr  3 13:19:28 hummer kernel: audit(1081016368.935:0): avc:  denied 
{ getattr } for  pid=3317 exe=/usr/bin/seuserx
path=/usr/share/tcl8.4/init.tcl dev=hda10 ino=702188
scontext=root:sysadm_r:seuser_t tcontext=system_u:object_r:usr_t
tclass=file
Comment 1 Daniel Walsh 2004-04-03 15:37:43 EST
fixed in setools-1.2.1-4

Note You need to log in before you can comment on or make changes to this bug.